# ruby dbm acess
require 'DBM'
include DBM

d = DBM.open("test")
keys = d.keys
if keys.length > 0 then
  for k in keys; print k, "\n"; end
  for v in d.values; print v, "\n"; end
  puts d.has_key?('foobar')
  puts d.has_key?('bar')
else
  d['foobar'] = 'FB'
  d['baz'] = 'BZ'
  d['quux'] = 'QX'
end

d.close
begin
  d.keys  # this will raise an exception
rescue
  p $!
end
